boa-constructor (0.6.1-17) unstable; urgency=medium

  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:36:39 +0800

boa-constructor (0.6.1-16) unstable; urgency=low

  * QA upload.
  * Bump Standards-Version to 3.9.7.
  * Remove Vcs-* fields pointing to dead URLs.
  * Use SOURCE_DATE_EPOCH instead of BUILD_DATE, and depend on
    required debhelper version.
  * Sort files for boa.apphelp.htb archive.
  * Remove menu file.
  * Add Keywords to desktop file.
  * Don't install redundant license file.
  * Convert debian/copyright to DEP5.
  * Drop Python version restriction.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 25 Mar 2016 15:10:43 +0100

boa-constructor (0.6.1-15) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add TZ=UTC. Now it should be reproducible.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Sep 2015 17:44:32 +0200

boa-constructor (0.6.1-14) unstable; urgency=medium

  * QA upload.
  * debian/rules: set mtimes and modes of files before zipping them.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 23:55:02 +0200

boa-constructor (0.6.1-13) unstable; urgency=medium

  * QA upload.
  * Update to depend on python-wxgtk3.0 rather than python-wxgtk2.8:
    + New patch: wxpy3.0-compat.patch
    + Update/rename select_wxpython_2_8.patch to select_wxpython_3_0.patch.
  * Disable use of wx.media - this never worked in Debian, but now the
    module is gone too.
  * "Standards-Version: 3.9.5" - no changes required.
  * Update to debhelper compat level 9.
  * debian/README.source: Remove since it's obsolete with source format
    "3.0 (quilt)".

 -- Olly Betts <olly@survex.com>  Thu, 07 Aug 2014 23:55:41 +1200

boa-constructor (0.6.1-12) unstable; urgency=low

  * Orphaning package.
  * Update package to use wxwidgets2.8 (Closes: #645759).
  * Bump Standards-Version to 3.9.2, no changes required.

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 07 Nov 2011 18:24:34 -0500

boa-constructor (0.6.1-11) unstable; urgency=low

  * debian/source:
    - switched to using source format 3.0 (quilt).
  * debian/control:
    - increase min python version to (>=2.6.6-11~).
    - after a discussion with Luca Falavigna I am taking over maintenance of 
      the package.  Added my info to Maintainers: field
    - bumped Standards-Version to 3.9.1, no changes needed.
    - removed dependency on quilt.
    - removed dependency on python-support.
    - use X-P-V instead of XS-P-V, increase version to 2.6
  * debian/rules:
    - removed "--with quilt", added "--with python2".
    - changed override to "dh_python2" and corrected syntax.

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 15 Feb 2011 17:48:34 -0500

boa-constructor (0.6.1-10) unstable; urgency=low

  * debian/patches/string_exceptions.patch:
    - Do not use string exceptions, not supported by Python 2.6
  * debian/control:
    - Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 07 Jun 2010 12:07:13 +0200

boa-constructor (0.6.1-9) unstable; urgency=low

  * Do not install embedded tarfile, zipfile and xmlrpclib modules, they
    are provided by stdlib (closes: #556355):
    + debian/patches/stdlib.patch:
      - Adjust files to load modules from stdlib.
    + debian/patches/no_maxint.patch:
      - Drop change on tarfile.py, it will not be installed anymore.
    + debian/rules:
      - Exclude affected files from the package.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 27 Nov 2009 23:45:10 +0100

boa-constructor (0.6.1-8) unstable; urgency=low

  * Do not install embedded pyparsing module, suggest python-pyparsing
    instead, wx25upgrade.py needs it (Closes: #555367).
  * Do not install embedded ConfigParser module (Closes: #555426).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 14 Nov 2009 14:59:21 +0100

boa-constructor (0.6.1-7) unstable; urgency=low

  * Update my e-mail address.
  * Remove DM-Upload-Allowed field.
  * Switch to debhelper 7:
    - Bump compat level to 7.
    - Minimize debian/rules.
    - Build-Depend on debhelper (>= 7.0.50) and quilt (>= 0.46-7).
  * debian/patches/no_double_free.patch:
    - Do not attempt to free menu objects twice (Closes: #532988).
  * Depend on ${misc:Depends} to fix a lintian warning.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Fix some wxWindows spelling errors in the description.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Aug 2009 19:17:37 +0200

boa-constructor (0.6.1-6) unstable; urgency=low

  * Add Python Applications Packaging Team to Uploaders.
  * Add Vcs-* fields in source stanza.
  * debian/copyright:
    - Boa-Constructor is licensed under GPLv2, adjust link accordingly.
  * Switch to python-support:
    - Add python-support (>= 0.90.0) to Build-Depends-Indep.
    - Remove boa-constructor.postinst and boa-constructor.prerm files,
      skipping byte-compilation of ZopeLib/zoa/* files is handled using
      the appropriate dh_pysupport option.
    - Remove XB-Python-Version field boa-constructor binary stanza.
  * Switch to quilt:
    - Patches converted to new patch systems, descriptions updated.
    - README.source file adjusted to document quilt usage.
  * debian/patches/maxint:
    - Hardcode sys.maxint value to the one returned by 32-bit platforms,
      fix OverflowError on 64-bit machines (LP: #313952).
  * Adjust debian/rules:
    - Remove build target, useless.
    - Remove useless calls to some debhelper scripts.
  * Move boa-constructor.launcher to wrappers/boa-constructor, this way
    it can be installed directly by dh_install.
  * Bump Standards-Version to 3.8.1, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 11 Apr 2009 17:40:43 +0200

boa-constructor (0.6.1-5) unstable; urgency=low

  * Install locales files (LP: #313955).
  * Bump to Standards-Version 3.8.0:
    - Add debian/README.source file for dpatch as per policy.
  * Remove some useless files:
    - debian/boa-constructor.dirs, not really needed.
    - debian/README.Debian, obsolete.
  * Add DM-Upload-Allowed field.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 05 Feb 2009 22:53:58 +0100

boa-constructor (0.6.1-4) unstable; urgency=high

  * Urgency high to fix RC bugs.
  * debian/control:
    - Move to XS-Python-Version: >= 2.4 (Closes: #476929, #477145).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 29 Apr 2008 16:05:23 +0200

boa-constructor (0.6.1-3) unstable; urgency=low

  * Update to new policy (3.7.3)
  * Switch to new Homepage field

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 04 Jan 2008 00:32:37 +0100

boa-constructor (0.6.1-2) unstable; urgency=low

  * Move to python-central
  * Do not byte-compile ZopeLib/zoa/* files (Closes: #399276)
    - Use dh_pycentral -n in debian rules
    - Install boa-constructor.postinst script
    - Install boa-constructor.prerm script
  * Do not call dh_desktop in debian/rules, no MIME types provided
  * Remove boa-constructor.preinst, now useless
  * Use Applications in menu file to fix menu-item-uses-apps-section
    lintian warning
  * Remove XS-Vcs-Bzr field in debian/control, not really useful for now
  * Add watch file

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 06 Oct 2007 03:11:38 +0200

boa-constructor (0.6.1-1) unstable; urgency=low

  * New upstream release
    - New documentation (Closes: #349076)
    - CTRL+U now dedent correctly (Closes: #285985)
    - ImageStore changes (LP: #105864)
  * New Maintainer (Closes: #439043)
  * Standards-Version set to 3.7.2
  * 01_boa_py_modules_path.dpatch and 02_select_wxpython_2_6.dpatch
    updated to reflect new upstream source code
  * 03_executable_script_fixup: Remove #! lines from python modules
  * 99_docs_typo.dpatch removed, since documentation is formed by
    compressed zip files, we need to use a different approach. A new
    target in debian/rules and docs_typo.patch handle this.
  * Update desktop file to be freedesktop compliant
  * Use XS-Vcs-Bzr in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 30 Aug 2007 20:20:04 +0200

boa-constructor (0.4.4cvs20050714-5) unstable; urgency=low

  * Orphaned

 -- Cédric Delfosse <cedric@debian.org>  Tue, 21 Aug 2007 21:22:13 +0200

boa-constructor (0.4.4cvs20050714-4) unstable; urgency=low

  * Add a .desktop file (Closes: #349081)

 -- Cédric Delfosse <cedric@debian.org>  Tue, 23 Jan 2007 21:32:29 +0100

boa-constructor (0.4.4cvs20050714-3) unstable; urgency=low

  * Use python-support (Closes: #380758)

 -- Cédric Delfosse <cedric@debian.org>  Sat, 18 Nov 2006 15:54:16 +0100

boa-constructor (0.4.4cvs20050714-2) unstable; urgency=low

  * Upload into unstable, now that wxpython 2.6 has entered unstable.
    (Closes: #324797, #315402)
  * Depends on python-wxgtk2.6 instead of wxpython2.6-0
  * Fix typo in debian/copyright (Closes: #325424)
  * Fonts look better now with GTK+ 2.6 (Closes: #273845)
  * Add a note about Python code migration from previous boa-constructor
    version in README.Debian

 -- Cédric Delfosse <cedric@debian.org>  Mon, 29 Aug 2005 11:36:14 +0200

boa-constructor (0.4.4cvs20050714-1) experimental; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Thu, 14 Jul 2005 22:01:33 +0200

boa-constructor (0.3.99cvs20050223-1) experimental; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Wed, 23 Feb 2005 19:49:07 +0100

boa-constructor (0.3.99cvs20050217-1) experimental; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Thu, 17 Feb 2005 22:17:14 +0100

boa-constructor (0.3.0-3) unstable; urgency=low

  * Debugger/RemoveServer.py: Added function required by the Zope debugger
    product (taken from CVS)

 -- Cédric Delfosse <cedric@debian.org>  Mon, 23 Aug 2004 22:37:23 +0200

boa-constructor (0.3.0-2) unstable; urgency=high

  * Re-upload with urgency to high, so that it enter Sarge.
    boa-constructor 0.3.0 is a bugfix release.
  * Views/InspectableViews.py: upstream fixed bug where attributes weren't
    properly resolved anymore (taken from CVS)

 -- Cédric Delfosse <cedric@debian.org>  Sun, 22 Aug 2004 11:36:33 +0200

boa-constructor (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Fix typos in documentation (Closes: Bug#255975)
  * Upstream fixed "KeyError while editing a wxComboBox" (Closes: Bug#228670)

 -- Cédric Delfosse <cedric@debian.org>  Fri, 20 Aug 2004 19:19:41 +0200

boa-constructor (0.2.8-2) unstable; urgency=low

  * Add "Examples" directory. Now examples can be opened (closes: Bug#235535)
  * Fix 2 typos in documentation (closes: Bug#228193, Bug#228194)
  
 -- Cédric Delfosse <cedric@debian.org>  Sun, 23 May 2004 22:58:29 +0200

boa-constructor (0.2.8-1) unstable; urgency=low

  * New upstream release (closes: Bug#210719)
  * Fix: "default save directory is wrong" (closes: Bug#202891)
  * Fix: "enabling plugins does not work" (closes: Bug#203129)

 -- Cédric Delfosse <cedric@debian.org>  Mon, 12 Jan 2004 23:10:54 +0100

boa-constructor (0.2.3-4) unstable; urgency=low

  * Use python2.3 instead of python2.2 in postinst (closes: Bug#206035)

 -- Cédric Delfosse <cedric@debian.org>  Mon, 18 Aug 2003 13:44:06 +0200

boa-constructor (0.2.3-3) unstable; urgency=low

  * Depends on python 2.3 (closes: Bug#204945)
  * Update Standards-Version to 3.6.0

 -- Cédric Delfosse <cedric@debian.org>  Tue, 12 Aug 2003 09:50:38 +0200

boa-constructor (0.2.3-2) unstable; urgency=low

  * Put /usr/share/boa-constructor in top of Python module path
    (closes: Bug#196946)

 -- Cédric Delfosse <cedric@debian.org>  Fri, 20 Jun 2003 16:22:55 +0200

boa-constructor (0.2.3-1) unstable; urgency=low

  * Initial Release (closes: Bug#101974)

 -- Cédric Delfosse <cedric@debian.org>  Thu,  6 Feb 2003 21:15:35 +0100

